class Bogy

  ##
  # Abstract class for handlers (FileHandler, HashHandler...)
  # Handler is object, which can work with certain data type (string, YAML file and etc.)
  # and convert it to Ruby hash

  class Handler

    def hash
      @hash ||= load
      @hash = {} if @hash.nil?

      @hash
    end

    ##
    # Abstract method
    # Used to convert raw YAML data from specified format to Ruby hash

    def load; end

  end
end
