class Bogy
  class FileHandler < Handler

    include Writeable

    def initialize(path)
      raise ArgumentError, "value should be of String type, not #{path.class}" unless path.is_a? String
      raise IOError, "No such file - #{path}" unless File.exist?(path)

      @path = path
    end

    def load
      YAML.load_file(@path)
    end

    def write
      IO.write(@path, hash.to_yaml)
    end

  end
end
